<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Profile extends Controller_UserEnvi {

    public function action_student()
    {
        $twig = Twig::factory('admin/students/profile');
        $id = $this->request->param('param1');
        $model = new Model_Account;
        $profile = $model->getPersonalInfo($id)->offsetGet(0);
        $profile['Degree'] = Model_Grades::getDegreeTitle($profile['Degree']);
        $twig->Account = $model->getAccountInfo($id)->offsetGet(0);
        $twig->Profile = $profile;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_teacher()
    {
        $twig = Twig::factory('admin/teachers/profile');
        $id = $this->request->param('param1');
        $model = new Model_Account;
        $twig->Account = $model->getAccountInfo($id)->offsetGet(0);
        $twig->Profile = $model->getPersonalInfo($id)->offsetGet(0);
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
}
            